Bug 164580 - NFS lockd deadlock
Summary: NFS lockd deadlock
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-07-28 20:51 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-03-15 16:19:16 UTC


Attachments (Terms of Use)
Upstream patch (1.86 KB, patch)
2005-08-25 13:50 UTC, Steve Dickson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Issue Tracker 2005-07-28 20:51:53 UTC
Escalated to Bugzilla from IssueTracker

Comment 2 Steve Conklin 2005-07-28 20:55:06 UTC
The customer is seeing this on 2.4.21-27.0.1.EL, and is unable to test with the
latest kernel at this time. However, I have confirmed that there are nochanges
to the lockd code between their release and 2.4.21-32.0.1.EL. They are running
the ia64 kernel.

Comment 4 Steve Dickson 2005-08-25 13:50:34 UTC
Created attachment 118108 [details]
Upstream patch

Here is a upstream patch that may fixes a dead lock
int the lockd code. Its not clear to me that this could fix
your problem, but it might be worth a try...

Comment 7 Ernie Petrides 2005-09-13 23:30:53 UTC
Hello, Keiichi.  Could we please get Steve's patch tested to see if
it resolves this bug report?  Thanks in advance.


Comment 11 Ernie Petrides 2005-10-08 02:08:39 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.5.EL).


Comment 15 Red Hat Bugzilla 2006-03-15 16:19:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.